<h1 align="center">PYSEM-STRINGS</h1>

<div align="center">

![GitHub status](https://img.shields.io/badge/status-active-brightgreen)
![GitHub issues](https://img.shields.io/github/issues/pysem/converters?color=yellow)
![GitHub pull requests](https://img.shields.io/github/issues-pr/pysem/converters)
![GitHub license](https://img.shields.io/github/license/pysem/converters?color=blue)
![GitHub last commit](https://img.shields.io/github/last-commit/pysem/converters?color=red)

</div>

---

<p align="center"> 
Pysem-strings is a modular library to simplify string uses
</p>

## 📝 Table of Contents

- [About](#about)
- [Getting Started](#getting_started)
- [Deployment](#deployment)
- [Usage](#usage)
- [Built Using](#built_using)
- [TODO](./TODO.md)
- [Contributing](./CONTRIBUTING.md)
- [Authors](#authors)

## 🧐 About <a name = "about"></a>

Pysem-strings makes strings very simple and intuitive. It has many methods for string manipulation.

## 🏁 Getting Started <a name = "getting_started"></a>

### Prerequisites

```
NO REQUIREMENTS NEEDED
```

### Installing

```bash
# Using python pip
$ pip install pysem-strings

# Using git
$ git clone https://github.com/pysem/strings.git
$ cd strings
$ pip install -r requirements.txt
$ python setup.py install
```

## 🎈 Usage <a name="usage"></a>

```python
from pysem_strings import String

print(String("hello, this is my string").get_chars(10))
```

## 🚀 Deployment <a name = "deployment"></a>

pysem-strings is a python library, when installed, just import it to your project.

```python
import pysem_strings
from pysem_strings import *
```

## ⛏️ Built Using <a name = "built_using"></a>

- Python

## ✍️ Authors <a name = "authors"></a>

- [@tory1103](https://github.com/tory1103) - Idea, Concept & Initial work

See also the list of [contributors](https://github.com/pysem/strings/contributors) who participated in this project.

<p align="center">
  <a href="https://github.com/pysem/strings/graphs/contributors">
    <img src="https://contributors-img.web.app/image?repo=pysem/converters"  alt=""/>
  </a>
</p>
